Page MenuHomeFreeBSD

dns/dnscrypt-proxy: start before unbound
ClosedPublic

Authored by xmj on Dec 1 2014, 4:32 PM.
Tags
None
Referenced Files
Unknown Object (File)
Dec 1 2016, 1:36 AM
Unknown Object (File)
Oct 18 2016, 2:15 PM
Unknown Object (File)
Jul 1 2016, 11:43 AM
Unknown Object (File)
May 23 2016, 4:09 PM
Unknown Object (File)
Mar 11 2016, 11:39 PM
Unknown Object (File)
Nov 18 2015, 12:23 AM
Unknown Object (File)
Sep 25 2015, 6:53 AM
Unknown Object (File)
Aug 25 2015, 2:23 PM
Subscribers
None

Details

Reviewers
swills
koobs
Summary

From the PR submission:

A 10.x system running dns/dnscrypt_proxy as a forwarder for a local_unbound
cache hang because some services (e.g. ntpd or sysutils/bsdstats) can't resolve
hostnames until dns/dnscrypt_proxy has started. The attached patch adds

BEFORE: local_unbound

to files/dnscrypt-proxy.in.

dns/dnscrypt-proxy: start before unbound

- To prevent hanging on 10.x systems which ship with unbound and depend on
  DNS resolving, start dnscrypt-proxy before unbound.
- Bump PORTREVISION

PR:		194975
DiffRev:	placeholder
Submitted by:	Joseph Mingrone <jrm@ftfl.ca>
Approved by:	swills (mentor)
Test Plan
  • have a VM that depends on DNSCrypt tunnelling to OpenDNS servers
  • see DNS resolving cause timeouts until dnscrypt-proxy is started

Joseph kindly did this for 10.1 and 9.3.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage

Event Timeline

xmj retitled this revision from to dns/dnscrypt-proxy: start before unbound.
xmj updated this object.
xmj edited the test plan for this revision. (Show Details)
xmj added reviewers: swills, koobs.
koobs edited edge metadata.

LGTM, ship it!

This revision is now accepted and ready to land.Dec 2 2014, 9:01 AM
xmj edited edge metadata.

add missing makefile

This revision now requires review to proceed.Dec 2 2014, 9:15 AM
koobs edited edge metadata.

I missed this, apologies. Thank you for adding it.

Approved.

This revision is now accepted and ready to land.Dec 2 2014, 9:20 AM

Committed revision 373758.